zenilib: SDL_RWops Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
SDL_RWops Struct Reference

`#include <SDL_rwops.h>`

## Public Member Functions

| int (SDLCALL *close)(struct SDL_RWops *context)
| Sint64 (SDLCALL *size)(struct SDL_RWops *context)
| Sint64 (SDLCALL *seek)(struct SDL_RWops *context
| size_t (SDLCALL *read)(struct SDL_RWops *context
| size_t (SDLCALL *write)(struct SDL_RWops *context

## Public Attributes

union {
struct {
Uint8 * base
Uint8 * here
Uint8 * stop
} mem
struct {
void * data1
void * data2
} unknown
} | hidden
void size_t size_t | maxnum
const void size_t size_t | num
Sint64 | offset
void * | ptr
const void * | ptr
void size_t | size
const void size_t | size
Uint32 | type
Sint64 int | whence

## Detailed Description

This is the read/write operation structure – very basic.

Definition at line 52 of file SDL_rwops.h.

## Member Function Documentation

SDL_RWops::int | ( | SDLCALL * | close | ) |

Close and free an allocated SDL_RWops structure.

Returns
  0 if successful or -1 on write error when flushing data.

SDL_RWops::Sint64 | ( | SDLCALL * | size | ) |

Return the size of the file in this rwops, or -1 if unknown

SDL_RWops::Sint64 | ( | SDLCALL * | seek | ) |

Seek to `offset` relative to `whence`, one of stdio's whence values: RW_SEEK_SET, RW_SEEK_CUR, RW_SEEK_END

Returns
  the final offset in the data stream, or -1 on error.

SDL_RWops::size_t | ( | SDLCALL * | read | ) |

Read up to `maxnum` objects each of size `size` from the data stream to the area pointed at by `ptr`.

Returns
  the number of objects read, or 0 at error or end of file.

SDL_RWops::size_t | ( | SDLCALL * | write | ) |

Write exactly `num` objects each of size `size` from the area pointed at by `ptr` to data stream.

Returns
  the number of objects written, or 0 at error or end of file.

## Member Data Documentation

Uint8* SDL_RWops::base

Definition at line 132 of file SDL_rwops.h.

void* SDL_RWops::data1

Definition at line 138 of file SDL_rwops.h.

void* SDL_RWops::data2

Definition at line 139 of file SDL_rwops.h.

Uint8* SDL_RWops::here

Definition at line 133 of file SDL_rwops.h.

union { ... } SDL_RWops::hidden

Referenced by mem_read(), mem_seek(), mem_size(), mem_write(), SDL_RWFromConstMem(), and SDL_RWFromMem().

void size_t size_t SDL_RWops::maxnum

Definition at line 74 of file SDL_rwops.h.

struct { ... } SDL_RWops::mem

Referenced by mem_read(), mem_seek(), mem_size(), mem_write(), SDL_RWFromConstMem(), and SDL_RWFromMem().

const void size_t size_t SDL_RWops::num

Definition at line 83 of file SDL_rwops.h.

Sint64 SDL_RWops::offset

Definition at line 65 of file SDL_rwops.h.

void* SDL_RWops::ptr

Definition at line 74 of file SDL_rwops.h.

const void* SDL_RWops::ptr

Definition at line 83 of file SDL_rwops.h.

void size_t SDL_RWops::size

Definition at line 74 of file SDL_rwops.h.

Referenced by SDL_RWFromConstMem(), SDL_RWFromFile(), and SDL_RWFromMem().

const void size_t SDL_RWops::size

Definition at line 83 of file SDL_rwops.h.

Uint8* SDL_RWops::stop

Definition at line 134 of file SDL_rwops.h.

Uint32 SDL_RWops::type

Definition at line 93 of file SDL_rwops.h.

Referenced by SDL_AllocRW(), SDL_RWFromConstMem(), SDL_RWFromFile(), and SDL_RWFromMem().

struct { ... } SDL_RWops::unknown

Sint64 int SDL_RWops::whence

Definition at line 65 of file SDL_rwops.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_rwops.h